Get Host Profile Filters By Section

Get Host Profile Filters By Section

Get supported filter names in specified section of Host Profile spec.

Request
URI
GET
https://{api_host}/hybridity/api/ztp/hostprofile/filters/{section}
COPY
Path Parameters
string
section
Required

Section

Possible values are : pciDevices, pciGroups,

Authentication
This operation uses the following authentication methods.
Responses
200

Ok

Returns InlineZtpHostprofileFiltersSection200Response of type(s) application/json
{
    "filters": [
        {
            "key": "string",
            "type": "string",
            "label": "string",
            "description": "string"
        }
    ]
}
array of object
filters
Optional

filters


301

API endpoint has permanently moved.

Returns InlineZtpHostprofileFiltersSection301Response of type(s) application/json
{
    "redirectURL": "string"
}
string
redirectURL
Optional

redirectURL

Response Headers

string
Location

URI where the client will find the new endpoint.


400

Bad Request received.

Returns InlineZtpHostprofileFiltersSection400Response of type(s) application/json
{
    "warnings": [
        {
            "code": "string",
            "message": "string",
            "stack": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string",
            "stack": "string"
        }
    ]
}
array of object
warnings
Optional

The list of warnings.

array of object
errors
Optional

The list of errors.


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

An Internal Server Error has occurred.

Returns InlineZtpHostprofileFiltersSection500Response of type(s) application/json
{
    "warnings": [
        {
            "code": "string",
            "message": "string",
            "stack": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string",
            "stack": "string"
        }
    ]
}
array of object
warnings
Optional

The list of warnings.

array of object
errors
Optional

The list of errors.